package com.docus.server.service.handler;

import com.docus.log.annotation.TrackRetryListener;
import com.docus.server.api.ocr.OcrApi;
import com.docus.server.entity.segmentation.OcrFileInfoTest;
import com.docus.server.entity.segmentation.OcrSpecialResult;
import com.docus.server.infrastructure.dao.IOcrFileInfoTestDao;
import com.docus.server.service.IOcrSpecialRuleTestService;
import org.springframework.stereotype.Component;

import javax.annotation.Resource;
import java.util.List;

/**
 * 开始OCR处理器
 */
@Component
public class StartOcrTestHandler {
    @Resource
    private OcrApi ocrApi;
    @Resource
    private IOcrFileInfoTestDao iOcrFileInfoTestDao;
    @Resource
    private IOcrSpecialRuleTestService iOcrSpecialRuleTestService;

    @TrackRetryListener("START_OCR_TEST")
    public void startOcr(String patientId) {
        //根据病案号查询文件列表
        List<OcrFileInfoTest> fileInfoTestList = iOcrFileInfoTestDao.findBy("patientId",patientId);

        for (OcrFileInfoTest fileInfoTest:fileInfoTestList) {
            //遍历文件列表 获取ocr识别结果
            List<String> ocrTextList = ocrApi.getText(fileInfoTest.getPicCutUrl());
            //优先判断是否特殊规则开始
            OcrSpecialResult ocrSpecialResult = iOcrSpecialRuleTestService.handleSpecialRule(ocrTextList);
            //判断是否属于某个分段

            //更新文件数据的分段

        }

        //更新数据库表


    }
}
